Bug 828740 - F17pre-ga3 PPC64:After installation on multipath disk it gets dropped to grub> prompt
F17pre-ga3 PPC64:After installation on multipath disk it gets dropped to gru...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
17
ppc64 All
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 05:50 EDT by IBM Bug Proxy
Modified: 2013-01-20 22:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 18:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (19.85 KB, text/plain)
2012-06-05 05:51 EDT, IBM Bug Proxy
no flags Details
program.log (72.39 KB, text/plain)
2012-06-05 05:51 EDT, IBM Bug Proxy
no flags Details
storage.log (458.83 KB, text/plain)
2012-06-05 05:51 EDT, IBM Bug Proxy
no flags Details
storage.state (20.00 KB, text/plain)
2012-06-05 05:51 EDT, IBM Bug Proxy
no flags Details
syslog (88.12 KB, text/plain)
2012-06-05 05:52 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 82031 None None None 2012-06-05 05:50:52 EDT

  None (edit)
Description IBM Bug Proxy 2012-06-05 05:50:52 EDT
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2012-05-31 09:54:48 ==
While installing on multipath disk with F17 PPC64 prega3 , after reboot it got dropped to grub> prompt.
Installed system had f17 prega3 ppc64 placed on sda(native disk) and again f17 prega3 ppc64 got installed on multipath disk.

Note that at the last stage of installation on multipath disk it threw message saying " there is some error occurred during on installation , your system may not boot properly " .

--- Steps to reproduce ---
This system has one native disk (sda) and four multipath disks attached.

step1) Install f17 prega3 ppc64 on sda (native disk) successfully
step2) Install f17 prega3 ppc64 on one of the multipath disk 
step3) After installation on multipath disk , selected booted with the installed multipath disk from SMS menu, which dropped me to the grub> prompt as below:

IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
Elapsed time since release of system processors: 24703 mins 35 secs
Welcome to GRUB!
                          GNU GRUB  version 2.00~beta5
   Minimal BASH-like line editing is supported. For the first word, TAB      
   lists possible command completions. Anywhere else TAB lists possible      
   device or file completions.       
   
grub> 
Possible commands are:

 . [ authenticate background_color background_image blocklist boot break cat
clear cmosclean cmostest cmp configfile continue crc cryptomount date dump echo
exit export extract_entries_configfile extract_entries_source false
functional_test gettext gptsync halt hashsum hello help hexdump initrd insmod
keymap keystatus linux list_env load_env loadfont loopback ls lsfonts lsmmap
lsmod md5sum menuentry net_add_addr net_add_dns net_add_route net_bootp
net_del_addr net_del_dns net_del_route net_get_dhcp_option net_ipv6_autoconf
net_ls_addr net_ls_cards net_ls_dns net_ls_routes net_nslookup normal
normal_exit parttool password password_pbkdf2 probe read read_byte read_dword
read_word reboot regexp return rmmod save_env search search.file
search.fs_label search.fs_uuid serial set setparams sha1sum sha256sum sha512sum
shift sleep source submenu suspend terminal_input terminal_output terminfo test
test_blockarg testload time true unset videoinfo videotest write_byte
write_dword write_word xnu_uuid zfs-bootfs zfsinfo zfskey



--- Attached logs ---
anaconda.log , program.log,  storage.log,  storage.state , syslog

== Comment: #6 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2012-05-31 12:10:43 ==
Output of ls -l / on grub prompt:

grub> ls -l /

DIR          20120531093131 lost+found/
DIR          20120531093629 grub/
DIR          20120531095131 grub2/
17302330     20120531095048 initramfs-3.3.4-5.fc17.ppc64.img
3170948      20120514173353 System.map-3.3.4-5.fc17.ppc64
109406       20120514173351 config-3.3.4-5.fc17.ppc64
20319872     20120514173353 vmlinuz-3.3.4-5.fc17.ppc64

Thanks..
Manas

== Comment: #7 - Brent J. Baude <baude@us.ibm.com> - 2012-05-31 13:22:34 ==
how about ls -l /grub2

== Comment: #8 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2012-06-04 07:58:46 ==
(In reply to comment #7)
> how about ls -l /grub2

grub> ls -l /grub2
DIR          20120531095130 themes/
74           20120531095127 device.map
DIR          20120531095131 powerpc-ieee1275/
DIR          20120531095130 locale/
DIR          20120531095130 fonts/
84772        20120531095131 grub
1024         20120531095131 grubenv

Thanks ...
Manas
Comment 1 IBM Bug Proxy 2012-06-05 05:51:11 EDT
Created attachment 589457 [details]
anaconda.log
Comment 2 IBM Bug Proxy 2012-06-05 05:51:25 EDT
Created attachment 589458 [details]
program.log
Comment 3 IBM Bug Proxy 2012-06-05 05:51:38 EDT
Created attachment 589460 [details]
storage.log
Comment 4 IBM Bug Proxy 2012-06-05 05:51:52 EDT
Created attachment 589461 [details]
storage.state
Comment 5 IBM Bug Proxy 2012-06-05 05:52:08 EDT
Created attachment 589462 [details]
syslog
Comment 6 IBM Bug Proxy 2012-06-12 12:31:01 EDT
------- Comment From maknayak@in.ibm.com 2012-06-12 16:24 EDT-------
Verified this issue with f17-20120608-GA-RC4 PPC64 ISO image and could reproduce this.
After installation on multipath disk, boot gets dropped to grub> prompt.

Thanks...
Comment 7 Fedora Update System 2012-08-02 15:03:31 EDT
grub2-2.0-0.38.beta6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/grub2-2.0-0.38.beta6.fc17
Comment 8 Fedora Update System 2012-08-03 07:30:49 EDT
Package grub2-2.0-0.38.beta6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-2.0-0.38.beta6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11475/grub2-2.0-0.38.beta6.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-08-27 18:59:04 EDT
grub2-2.0-0.38.beta6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 IBM Bug Proxy 2012-12-11 09:01:51 EST
------- Comment From maknayak@in.ibm.com 2012-12-11 13:57 EDT-------
(In reply to comment #15)
> grub2-2.0-0.38.beta6.fc17 has been pushed to the Fedora 17 stable
> repository.  If problems still persist, please make note of it in this bug
> report.

Verfied with multipath diks installation, this issue is no more getting produced with fedroa 18 ppc64 Beta .
I think this is fixed in beta now. We can close it.

# uname -a
Linux miz03.austin.ibm.com 3.6.6-3.fc18.ppc64p7 #1 SMP Fri Nov 9 11:18:55 MST 2012 ppc64 ppc64 ppc64 GNU/Linux

Thanks...
Comment 11 IBM Bug Proxy 2013-01-20 22:42:46 EST
------- Comment From maknayak@in.ibm.com 2013-01-21 03:37 EDT-------
Closing this bug as per above comment.

Thanks...
Manas

Note You need to log in before you can comment on or make changes to this bug.